Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa
Class BackupHibernateUtil

    java.lang.Object
      vut.msa.BackupHibernateUtil

    public class BackupHibernateUtil

extends java.lang.Object

Trieda Hibernate Utility, ktora sluzi na vytvorenie relacie s databazou.

Field Summary
`static java.lang.ThreadLocal` | `session`

Constructor Summary
`BackupHibernateUtil()`

Method Summary
`static void` | `closeSession()` Metoda zatvori aktualnu relaciu Hibernate.
`static org.hibernate.Session` | `currentSession()` Metoda vrati aktualnu vytvorenu relaciu Hibernate.
`static org.hibernate.SessionFactory` | `getSessionFactory()` Metoda vrati objekt SessionFactory, ktory vytvara relacie Hibernate.
`static void` | `shutdown()` Metoda uzatvara tovaren (SessionFactory) na relacie Hibernate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    public static final java.lang.ThreadLocal session

Constructor Detail

### BackupHibernateUtil

    public BackupHibernateUtil()

Method Detail

### getSessionFactory

    public static org.hibernate.SessionFactory getSessionFactory()

  Metoda vrati objekt SessionFactory, ktory vytvara relacie Hibernate.

  Returns:
    tovarna na relacie

### currentSession

    public static org.hibernate.Session currentSession()
                                                throws org.hibernate.HibernateException

  Metoda vrati aktualnu vytvorenu relaciu Hibernate.

  Returns:
  Throws:
    `org.hibernate.HibernateException` - chyba, pri ziskavani relacie

### closeSession

    public static void closeSession()
                             throws org.hibernate.HibernateException

  Metoda zatvori aktualnu relaciu Hibernate.

  Throws:
    `org.hibernate.HibernateException` - chyba, pri zatvarani relacie

### shutdown

    public static void shutdown()

  Metoda uzatvara tovaren (SessionFactory) na relacie Hibernate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD